/*******************************************************************************

  FCC2 Ethernet interface
  -----------------------

  Author: Arto Vuori <avuori@ssh.com>

  Copyright (C) 2000 SSH Communications Security Corp, Helsinki, Finland.
  All rights reserved. 

  Simple polling ethernet interface for MPC8260 FCC2 Ethernet controller .

*******************************************************************************/

typedef enum {
    uninitialized, ready, error
} eth_state;

/* Ethernet interface structure */
typedef struct {
    int num;
    eth_state status;
    char *name;
    int mdio_phyid;
    unsigned char phyaddr[6];

    bufferdesc *RxBD;
    bufferdesc *TxBD;

    char (*RxBuffers)[NUM_RXBDS];
    char (*TxBuffers)[NUM_TXBDS];

    int tx_current, rx_current;

} eth_if;


/* Station Management interface */

void mdio_delay(void);
void mdio_sync(void);
void mdio_write(int phy_id, int location, int value);
int mdio_read(int phy_id, int location);
void mdio_init(void);
void mdio_puke(int phy_id);

void eth_init(eth_if *);
int eth_recv(eth_if *, void *, int);
int eth_send(eth_if *, void *, int);
void eth_status(eth_if *);

extern eth_if eth_interface[];
