#define C0 0
#define XER 1
#define LR 8
#define CTR 9
#define DSISR 18
#define DAR 19
#define DEC_R 22
#define SDR1 25
#define SRR0 26
#define SRR1 27
#define EAR 282
#define PVR 287
#define SPRG0 272
#define SPRG1 273
#define SPRG2 274
#define SPRG3 275
#define TBL_W 284
#define TBU_W 285
#define TBL_R 284
#define TBU_R 285
#define IBAT0U 528
#define IBAT0L 529
#define IBAT1U 530
#define IBAT1L 531
#define IBAT2U 532
#define IBAT2L 533
#define IBAT3U 534
#define IBAT3L 535
#define DBAT0U 536
#define DBAT0L 537
#define DBAT1U 538
#define DBAT1L 539
#define DBAT2U 540
#define DBAT2L 541
#define DBAT3U 542
#define DBAT3L 543
#define DMISS 976
#define DCMP 977
#define HASH1 978
#define HASH2 979
#define IMISS 980
#define ICMP 981
#define RPA 982
#define HID0 1008
#define HID1 1009
#define SIUMCR 0x00000000
#define SYPCR 0x00000004
#define SWSR 0x0000000e
#define BCR 0x00000024
#define PPC_ACR 0x00000028
#define PPC_ALRH 0x0000002C
#define PPC_ALRL 0x00000030
#define LCL_ACR 0x00000034
#define LCL_ALRH 0x00000038
#define LCL_ALRL 0x0000003c
#define TESCR1 0x00000040
#define LTESCR1 0x00000048
#define SCCR 0x00000C80
#define BR0 0x00000100
#define OR0 0x00000104
#define BR1 0x00000108
#define OR1 0x0000010C
#define BR2 0x00000110
#define OR2 0x00000114
#define BR3 0x00000118
#define OR3 0x0000011C
#define BR4 0x00000120
#define OR4 0x00000124
#define BR7 0x00000138
#define OR7 0x0000013c
#define MPTPR 0x00000184
#define PSDMR 0x00000190
#define LSDMR 0x00000194
#define PSRT 0x0000019C
#define LSRT 0x000001A4
#define IMMR 0x000001A8
#define PDIRA 0x00000D00
#define PDATA 0x00000D10
#define PDIRC 0x00000D40
#define PDATC 0x00000D50

#define INT_FRAME_SIZE  192
#define GPR0    16
#define GPR1    20
#define GPR2    24
#define GPR3    28
#define GPR4    32
#define GPR5    36
#define GPR6    40
#define GPR7    44
#define GPR8    48
#define GPR9    52
#define GPR10   56
#define GPR11   60
#define GPR12   64
#define GPR13   68
#define GPR14   72
#define GPR15   76
#define GPR16   80
#define GPR17   84
#define GPR18   88
#define GPR19   92
#define GPR20   96
#define GPR21   100
#define GPR22   104
#define GPR23   108
#define GPR24   112
#define GPR25   116
#define GPR26   120
#define GPR27   124
#define GPR28   128
#define GPR29   132
#define GPR30   136
#define GPR31   140
#define _MSR    148
#define _CTR    156
#define _LINK   160
#define _CCR    168
#define _XER    164
#define _SRR0   180
#define _SRR1   184

#define SAVE_GPR(n, base)       stw     n,GPR0+4*(n)(base)
#define SAVE_2GPRS(n, base)     SAVE_GPR(n, base); SAVE_GPR(n+1, base)
#define SAVE_4GPRS(n, base)     SAVE_2GPRS(n, base); SAVE_2GPRS(n+2, base)
#define SAVE_8GPRS(n, base)     SAVE_4GPRS(n, base); SAVE_4GPRS(n+4, base)
#define SAVE_10GPRS(n, base)    SAVE_8GPRS(n, base); SAVE_2GPRS(n+8, base)
#define REST_GPR(n, base)       lwz     n,GPR0+4*(n)(base)
#define REST_2GPRS(n, base)     REST_GPR(n, base); REST_GPR(n+1, base)
#define REST_4GPRS(n, base)     REST_2GPRS(n, base); REST_2GPRS(n+2, base)
#define REST_8GPRS(n, base)     REST_4GPRS(n, base); REST_4GPRS(n+4, base)
#define REST_10GPRS(n, base)    REST_8GPRS(n, base); REST_2GPRS(n+8, base)


