/*-----------------------------------------------------------------------------                         
*
* File:  860smc.h
*
* Description:  
*
*               Constants and Definitions for 8xx SMC UART Example. 
*
* History:
*
* 09 APR 98   ecg     Initial version.
* 27 APR 98   jay     revised for initialization example
*---------------------------------------------------------------------------*/

#include "netcomm.h"
#include "mpc8260.h"

#define SMC_REG 0          /* SMC Regs Array Index for SMC2 */

/*-------------------------*/
/* Single buffer component */
/*-------------------------*/

typedef struct BufferPool

{
   UBYTE  RxBuffer;
   UBYTE  TxBuffer;

} LB;


/*--------------------------*/
/* Buffer Descriptor Format */
/*--------------------------*/

typedef struct BufferDescriptor 

{
   UHWORD bd_cstatus;     /* control and status */
   UHWORD bd_length;      /* transfer length */
   UBYTE  *bd_addr;       /* buffer address */

} BD;
 

/*-------------------------------*/
/* Buffer Descriptor Ring format */
/*-------------------------------*/

typedef struct BufferDescRings 

{
    BD RxBD;    /* Rx BD ring */
    BD TxBD;    /* Tx BD ring */

} BDRINGS;

















